Package ghidra.app.plugin.assembler

# Class AssemblySemanticException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ghidra.app.plugin.assembler.AssemblyException
ghidra.app.plugin.assembler.AssemblySemanticException

All Implemented Interfaces:
  `Serializable`

public class AssemblySemanticException extends AssemblyException
Thrown when all resolutions of an assembly instruction result in semantic errors.

For SLEIGH, semantic errors amount to incompatible contexts

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<AssemblyResolvedError>`
  `errors`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssemblySemanticException(String message)`
  `AssemblySemanticException(Set<AssemblyResolvedError> errors)`
  Construct a semantic exception with the associated semantic errors

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<AssemblyResolvedError>`
  `getErrors()`
  Get the collection of associated semantic errors

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### errors

    protected Set<AssemblyResolvedError> errors

- ## Constructor Details

  - ### AssemblySemanticException

    public AssemblySemanticException(String message)

  - ### AssemblySemanticException

    public AssemblySemanticException(Set<AssemblyResolvedError> errors)
    Construct a semantic exception with the associated semantic errors
    Parameters:
      `errors` - the associated semantic errors

- ## Method Details

  - ### getErrors

    public Collection<AssemblyResolvedError> getErrors()
    Get the collection of associated semantic errors
    Returns:
      the collection